Subject: Re: [PATCH] generic RTC support for PPC

From: [email-masked] (Olof Johansson)
Date: Tue, 6 Feb 2007 09:16:40 -0600

On Tue, Feb 06, 2007 at 10:08:35PM +1100, Paul Mackerras wrote:
> Olof Johansson writes:
> 
> > Make the PPC RTC functions use the generic RTC infrastructure if they
> > are not already defined (and an RTC is registered in the system).
> > 
> > This should make it possible to remove the hideous direct access used
> > in some of the 83xx platforms.
> 
> What was the consensus in the end about this?  Should it go in for
> 2.6.21?

Sounds like Tom Rini was strongly against it since the rtc class api
should be the way to do it now. I don't care much either way, and
it's not urgent for 2.6.21. Leave it out for now, I had written it off
already myself.

-Olof